/**
 * 
 */
package client.ecouteur;

/**
 * @author Daniel Castonguay
 *
 */
public interface IEcouteur 
{
	//public void afficherMessage(String message);
	public void afficherErreur(Exception exception);
	
	public void authentificationReussie(String alias);
	public void authentificationEchouee();
	public void authentificationDejaEffectuee();
	public void canalJoint(String canal, String[] participants);
	public void canalNonJoint(String canal, String message);
	public void canalQuitte(String canal);
	public void canalNonQuitte(String canal, String message);
	public void aliasChange(String alias);
	public void aliasInvalide(String alias);
	public void aliasDejaUtilise(String alias);
	public void messageCanalNonEnvoye(String canal, String message);
	public void messageUsagerNonEnvoye(String usager, String message);
	public void informationUsager(String usager, String alias, String[] canaux);
	public void aliasNonTrouve(String alias);
	public void informationCanal(String canal, String[] participants);
	public void canalNonTrouve(String canal);
	public void nonAuthentifie();
	
	public void evenementMessage(String canal, String usager, String message);
	public void evenementMessage(String usager, String message);
	public void evenementCanalJoint(String canal, String usager);
	public void evenementCanalQuitte(String canal, String usager, String message);
	public void evenementAliasModifie(String vieilAlias, String nouvelAlias);
	public void evenementQuitte(String usager, String message);
	
	public void evenementDelaiDepasse();
	public void evenementDeconnecte(String message);
	public void evenementCommandeErronee();
	
	public void connexionInterrompue();
	
	public void reponseNonReconnue(String reponse);
	
	public void afficherReponseBrute(String reponse);
}
