/**
 * ITraiteurClicListe.java
 * Ce fichier contient une interface pour grer le clic dans la
 * liste des participants d'un canal.
 */
package ui.interfacesgraphiques;

import java.awt.event.MouseEvent;

import ui.composantsgraphiques.FenetreLigneDeCommande;

/**
 * @author Daniel Castonguay
 *
 */
public interface ITraiteurClicListe 
{
	public void traiterClicListe(FenetreLigneDeCommande source, String item, MouseEvent evt);
}
