package serveur.notification;

import serveur.composant.Usager;

/**
 * Notification d'un changement d'alias
 */
public class NotificationChangementAlias extends NotificationUsager
{
	private String ancienAlias;
	private String nouvelAlias;
	
	public NotificationChangementAlias(String ancienAlias, String nouvelAlias)
	{
		this.ancienAlias = ancienAlias;
		this.nouvelAlias = nouvelAlias;
	}
	
	public void notifierUsager(Usager usager)
	{
		usager.notificationChangementAlias(ancienAlias, nouvelAlias);
	}
}