package serveur.notification;

import serveur.composant.Usager;

/**
 * Notification d'une dconnexion d'un usager
 */
public class NotificationDeconnexion extends NotificationUsager
{
	private String usager;
	private String message;
	
	public NotificationDeconnexion(String usager, String message)
	{
		this.usager = usager;
		this.message = message;
	}
	
	public void notifierUsager(Usager autreUsager)
	{
		autreUsager.notificationDeconnexionUsager(usager, message);
	}
}
