package serveur.notification;

import serveur.composant.Usager;

/**
 * Classe de base pour les notifications  l'usager (dans le contexte du pattern Visiteur).
 */
public abstract class NotificationUsager
{
	/**
	 * Notifie l'usager d'une faon quelconque. Un mme usager ne sera pas notifi deux fois.
	 * @param usager Usager
	 */
	public abstract void notifierUsager(Usager usager);
}

